Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoProfileRegion Class Reference
Profile

## Description

Represents a profile region used in various profile tools.

Inherits kObject.

## Public Member Functions
k64f | GoProfileRegion_Height (GoProfileRegion region)
| Gets the height. More...
kStatus | GoProfileRegion_SetHeight (GoProfileRegion region, k64f height)
| Sets the height. More...
kStatus | GoProfileRegion_SetWidth (GoProfileRegion region, k64f width)
| Sets the width. More...
kStatus | GoProfileRegion_SetX (GoProfileRegion region, k64f x)
| Sets the X position. More...
kStatus | GoProfileRegion_SetZ (GoProfileRegion region, k64f z)
| Sets the Z-position. More...
k64f | GoProfileRegion_Width (GoProfileRegion region)
| Gets the width. More...
k64f | GoProfileRegion_X (GoProfileRegion region)
| Gets the X-position. More...
k64f | GoProfileRegion_Z (GoProfileRegion region)
| Gets the Z-position. More...

## Member Function Documentation

k64f GoProfileRegion_Height | ( | GoProfileRegion | region | ) |

Gets the height.

Parameters

  region | GoProfileRegion object.

Returns
  The height of the region.

kStatus GoProfileRegion_SetHeight | ( | GoProfileRegion | region,
|  | k64f | height
| ) |  |

Sets the height.

Parameters

  region | GoProfileRegion object.
  height | The height to set.

Returns
  Operation status.

kStatus GoProfileRegion_SetWidth | ( | GoProfileRegion | region,
|  | k64f | width
| ) |  |

Sets the width.

Parameters

  region | GoProfileRegion object.
  width | The width to set.

Returns
  Operation status.

kStatus GoProfileRegion_SetX | ( | GoProfileRegion | region,
|  | k64f | x
| ) |  |

Sets the X position.

Parameters

  region | GoProfileRegion object.
  x | The X-position to set.

Returns
  Operation status.

kStatus GoProfileRegion_SetZ | ( | GoProfileRegion | region,
|  | k64f | z
| ) |  |

Sets the Z-position.

Parameters

  region | GoProfileRegion object.
  z | The Z-position to set.

Returns
  Operation status.

k64f GoProfileRegion_Width | ( | GoProfileRegion | region | ) |

Gets the width.

Parameters

  region | GoProfileRegion object.

Returns
  The width of the region.

k64f GoProfileRegion_X | ( | GoProfileRegion | region | ) |

Gets the X-position.

Parameters

  region | GoProfileRegion object.

Returns
  The X-position of the region.

k64f GoProfileRegion_Z | ( | GoProfileRegion | region | ) |

Gets the Z-position.

Parameters

  region | GoProfileRegion object.

Returns
  The Z-position of the region.

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h